// Code avec la fonction map mais amélioré car permet de retourner
// des valeurs plus précies (à virgule)
// Me contacter pour plus de précisions, Mohamed

void setup ()
{
  
  Serial.begin(9600);
}


void loop() {
int pot = analogRead(A6);
float tension = mapf(pot, 0, 1023, 0, 5);
 Serial.println(tension);
 delay(50); 
 
}


   float mapf(float x, float in_min, float in_max, float out_min, float out_max) {
     float result;
     result = (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
     return result;
}
